Create rule
POST
bearerAuthheader
AuthorizationBearer <token>An API key created in Capy under Settings → API.
application/json- body
repo*string|nullconditions*array<>repositoryCondition?|nullReviewFilterRule
application/json- response
id*stringMatch
^rfilt_Length
32 <= length <= 32repo*string|nullgithubRepoId*number||nullconditions*array<>repositoryCondition?|nullskipped*booleanTrue when a value exceeds the wildcard limit or a repository is unavailable, so admission skips the rule until it is edited
source*stringOne of
"hand""greptile"createdByUserId*string|nullcreatedByName*string|nullcreatedAt*stringupdatedAt*stringcurl -X POST 'https://api.capy.ai/api/v1/review-filters/rules' \ -H 'Content-Type: application/json' \ -d '{ "repo": "string", "conditions": [ { "field": "label", "not": true, "values": [ "string" ] } ]}'{ "id": "string", "repo": "string", "githubRepoId": 0, "conditions": [ { "field": "label", "not": true, "values": [ "string" ] } ], "repositoryCondition": { "not": true, "repoIds": [ 0 ] }, "skipped": true, "source": "hand", "createdByUserId": "string", "createdByName": "string", "createdAt": "string", "updatedAt": "string"}